Start HackerOne triage (deprecated)
curl --request POST \
--url https://neo.api.projectdiscovery.io/api/v1/hackerone/task \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"report_id": "<string>",
"comment_text": "<string>",
"commenter": "<string>",
"event_type": "<string>",
"report_title": "<string>",
"report_url": "<string>",
"timestamp": "<string>"
}
'import requests
url = "https://neo.api.projectdiscovery.io/api/v1/hackerone/task"
payload = {
"report_id": "<string>",
"comment_text": "<string>",
"commenter": "<string>",
"event_type": "<string>",
"report_title": "<string>",
"report_url": "<string>",
"timestamp": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
report_id: '<string>',
comment_text: '<string>',
commenter: '<string>',
event_type: '<string>',
report_title: '<string>',
report_url: '<string>',
timestamp: '<string>'
})
};
fetch('https://neo.api.projectdiscovery.io/api/v1/hackerone/task', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"error": "<string>",
"task_id": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}Internal
Start HackerOne triage (deprecated)
deprecated
Deprecated. Use POST /api/v1/triage instead. Kept for existing HackerOne webhook automations that already call this path.
POST
/
api
/
v1
/
hackerone
/
task
Start HackerOne triage (deprecated)
Authorizations
BearerAuthApiKeyAuth
JWT authentication token
Body
application/json
⌘I

